CVC4::RecordUpdate Class Reference

`#include <record.h>`

## Public Member Functions

| RecordUpdate (const std::string &field) throw ()
std::string | getField () const throw ()
bool | operator== (const RecordUpdate &t) const throw ()
bool | operator!= (const RecordUpdate &t) const throw ()

## Detailed Description

Definition at line 43 of file record.h.

## Constructor & Destructor Documentation

## RecordUpdate()

CVC4::RecordUpdate::RecordUpdate | ( | const std::string & | field | ) |
throw | ( | ) |  |  |

inline

Definition at line 46 of file record.h.

## Member Function Documentation

## getField()

std::string CVC4::RecordUpdate::getField | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 47 of file record.h.

Referenced by CVC4::RecordUpdateHashFunction::operator()(), and CVC4::operator<<().

## operator!=()

bool CVC4::RecordUpdate::operator!= | ( | const RecordUpdate & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 49 of file record.h.

## operator==()

bool CVC4::RecordUpdate::operator== | ( | const RecordUpdate & | t | ) | const
throw | ( | ) |  |  |

inline

Definition at line 48 of file record.h.

The documentation for this class was generated from the following file:

- src/util/record.h